package common.block.tech;

import java.util.Map;

import common.model.Model;
import common.model.ModelProvider;
import common.model.ModelRotation;
import common.tileentity.TileEntity;
import common.tileentity.TileEntityTianReactor;
import common.world.State;
import common.world.World;

public class BlockTianReactor extends BlockMachine {
	public TileEntity createNewTileEntity(World world) {
		return new TileEntityTianReactor();
	}

    public Model getModel(ModelProvider provider, String name, State state) {
    	return provider.getModel("tian_reactor_front").add().d("tian_reactor_bottom").u("tian_reactor_top").n().s("tian_reactor_side")
    			.we("tian_reactor_side").rotate(ModelRotation.getNorthRot(state.getValue(FACING)));
    }
    
    public void getAnimatedTextures(Map<String, Object> map) {
    	map.put("tian_reactor_front", 5);
    }
}
